LINUX.ORG.RU
ФорумAdmin

Ошибка imagick.so

 


0

1

Здравствуйте. Стоит связка Ubuntu 18.04.4 LTS + NextCloud 18.0.1 + Apache/2.4.29 + PHP 7.3.4. Все работает хорошо, но периодически выскакивает ошибка

Unable to load dynamic library 'imagick.so' (tried: /usr/lib/php/20180731/imagick.so (/usr/lib/php/20180731/imagick.so: cannot open shared object file: No such file or directory), /usr/lib/php/20180731/imagick.so.so (/usr/lib/php/20180731/imagick.so.so: cannot open shared object file: No such file or directory)) in Unknown on line 0
В NextCloud висит строка
В системе не установлены рекомендуемые модули PHP. Для улучшения производительности и совместимости рекомендуется установить эти модули.
imagick
Данная проблема возникла в результате обновлений nextcloud (с версии 16) и самой ubuntu (с версии 16.04). Не знаю важно или нет, но php -v выдает
PHP Warning:  PHP Startup: Unable to load dynamic library 'imagick.so' (tried: /usr/lib/php/20180731/imagick.so (/usr/lib/php/20180731/imagick.so: cannot open shared object file: No such file or directory), /usr/lib/php/20180731/imagick.so.so (/usr/lib/php/20180731/imagick.so.so: cannot open shared object file: No such file or directory)) in Unknown on line 0
PHP 7.3.4-1+ubuntu16.04.1+deb.sury.org+3 (cli) (built: Apr 10 2019 10:50:34) ( NTS )
Copyright (c) 1997-2018 The PHP Group
Zend Engine v3.3.4, Copyright (c) 1998-2018 Zend Technologies
    with Zend OPcache v7.3.4-1+ubuntu16.04.1+deb.sury.org+3, Copyright (c) 1999-2018, by Zend Technologies
imagick переустанавливал, но не помогло. Как решить проблему? Заранее спасибо.

Перемещено shell-script из linux-org-ru

Ответ на: комментарий от sasha198407

LC_ALL=C.UTF-8 add-apt-repository ppa:ondrej/php

Поставить пакеты из репозитория, а потом удалить этот репозиторий - это очень хороший выстрел себе в ногу, не надо так делать...

apt install php7.3-imagick

Note, selecting 'php-imagick' instead of 'php7.3-imagick'

Dimez ★★★★★ ()
Последнее исправление: Dimez (всего исправлений: 1)